Retrieve a List of Page Localizations

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V60 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp"
  }
}

Close
GET /profiles/{profile_id}/pages/{page_id}/localizations

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

Query parameters

  • fields string

    extra information of each page localization on the list

  • limit number

    maximum count of the page localization list

  • offset number

    skip that many page localization before beginning to return

Responses

  • 200 application/json

    OK

    Hide headers attribute Show headers attribute
    • Total-Count string
    Hide response attributes Show response attributes object
    • label string Required
    • language_code string Required
GET /profiles/{profile_id}/pages/{page_id}/localizations
curl \
 --request GET 'https://servername.iformbuilder.com/exzact/api/v60/profiles/self/pages/{page_id}/localizations' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "label": "inspección de la construcción",
    "language_code": "es"
  },
  {
    "label": "楼宇检查",
    "language_code": "zh-hans"
  },
  {
    "label": "樓宇檢查",
    "language_code": "zh-hant"
  }
]